Create project transfer request
POST
https://api.vercel.com/projects/{idOrName}/transfer-requestInitiates a project transfer request from one team to another.
Returns a
Users can also accept the project transfer request using the claim URL:
The
The
Returns a
code that remains valid for 24 hours and can be used to accept the transfer request by another team using the PUT /projects/transfer-request/:code endpoint. Users can also accept the project transfer request using the claim URL:
https://vercel.com/claim-deployment?code=<code>&returnUrl=<returnUrl>. The
code parameter specifies the project transfer request code generated using this endpoint. The
returnUrl parameter redirects users to a specific page of the application if the claim URL is invalid or expired.https://api.vercel.com/projects/{idOrName}/transfer-request
const response = await fetch('https://api.vercel.com/projects/idOrName/transfer-request?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "callbackUrl": "https://example.com", "callbackSecret": "string" }),});
const data = await response.json();console.log(data);Response
{ "code": "string"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error